#ifndef PROFESSOR_H_
#define PROFESSOR_H_ 

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

class Professor 
{
  private:
      char *name;
      int room;
      
  public:
    
      Professor(char *pname, int proom) {
	  name = new char[strlen(pname)+1];
	  strcpy(name, pname);
	  
	  room = proom;
      }
      
      Professor(const char *pname) {
	  name = new char[strlen(pname)+1];
	  strcpy(name, pname);
	  
	  room = 0;
      }
            
      ~Professor() {
	  delete[] name; // free(code)
	  name = NULL;
	  room = 0;
      }

      void setRoom(int proom) {
	 room = proom;
      }

      void setName(char *pname) {
	 delete[] name;
	 name = new char[strlen(pname)+1];
      }
      
      char *getName() {
	 return name;
      }

      int getRoom() {
	 return room;
      }
};

#endif