#include <iostream>
using namespace std;

class Estatica2{
  private:
    static int total;
    int code;
  public:
    Estatica2 () {
       total++; 
       code = total;
    }
    // const define um metodo somente leitura
    int getCode() const {
       return code; 
    }
    int getTotal() const {
       return total; 
    }
    // metodo estatico
    // so pode modificar atributos static
    static void addTotal() {
       total++;
    }
};

int Estatica2::total = 0;

int main(int argc, char *argv[]) {
  Estatica2 e1,e2,e3;
  
  Estatica2::addTotal();
 
  // cada objeto tem uma variavel code diferente
  cout << "e1 code: " << e1.getCode() << endl; 
  cout << "e2 code: " << e2.getCode() << endl; 
  cout << "e3 code: " << e3.getCode() << endl << endl;
  
  // total e compartilhado por todos os objetos
  cout << "total e1: " << e1.getTotal() << endl;
  cout << "total e2: " << e2.getTotal() << endl;
  cout << "total e3: " << e3.getTotal() << endl;
  return 0;  
}