#ifndef STUDENT_H_
#define STUDENT_H_ 

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

class Student 
{
  private:
      char *name;
      int credits;
      
  public:
      
      Student(const char *pname) {
	  name = new char[strlen(pname)+1];
	  strcpy(name, pname);
	  
	  credits = 0;
      }
            
      ~Student() {
	  delete[] name; // free(code)
	  name = NULL;
	  credits = 0;
      }
      
      void setName(char *pname) {
	 delete[] name;
	 name = new char[strlen(pname)+1];
      }
      
      char *getName() {
	 return name;
      }

      int getCredits() {
	 return credits;
      }
};

#endif